com.google.cloud.dataflow.sdk.transforms

## Interface Aggregator<InputT,OutputT>

Type Parameters:
  `InputT` - the type of input values
  `OutputT` - the type of output values

    public interface Aggregator<InputT,OutputT>

An `Aggregator<InputT>` enables monitoring of values of type `InputT`, to be combined across all bundles.

Aggregators are created by calling `DoFn.createAggregator(java.lang.String, com.google.cloud.dataflow.sdk.transforms.Combine.CombineFn<? super AggInputT, ?, AggOutputT>)`, typically from the `DoFn` constructor. Elements can be added to the `Aggregator` by calling `addValue(InputT)`.

Aggregators are visible in the monitoring UI, when the pipeline is run using DataflowPipelineRunner or BlockingDataflowPipelineRunner, along with their current value. Aggregators may not become visible until the system begins executing the ParDo transform that created them and/or their initial value is changed.

Example:

     class MyDoFn extends DoFn<String, String> {
       private Aggregator<Integer, Integer> myAggregator;

       public MyDoFn() {
         myAggregator = createAggregator("myAggregator", new Sum.SumIntegerFn());
       }

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addValue(InputT value)` Adds a new value into the Aggregator.
`Combine.CombineFn<InputT,?,OutputT>` `getCombineFn()` Returns the `Combine.CombineFn`, which combines input elements in the aggregator.
`String` `getName()` Returns the name of the Aggregator.

### Method Detail

#### addValue

    void addValue(InputT value)

Adds a new value into the Aggregator.

#### getName

    String getName()

Returns the name of the Aggregator.

#### getCombineFn

    Combine.CombineFn<InputT,?,OutputT> getCombineFn()

Returns the `Combine.CombineFn`, which combines input elements in the aggregator.